function [Qual] = Model2Global(R,scale)

%Funkce ma za ucel vypocet transformace mezi modelovym s. s. a globylnim s.
%s. - hledane parametry jsou posunuti, meritko a rotace

EUL1 = Mat2Eul(R{1});                                                       %pocatecni hodnota rotace mezi s. s.

TRANSL = [0,0,0];                                                           %pocatecni hodnota posunuti

b0 = [scale,EUL1,TRANSL];                                                   %vektor pocatecnich hodnot

options = optimoptions(@lsqnonlin,'MaxIter',50,'TolFun',10^(-100),'TolX',10^(-100),'Display','off');
                                                                            %nastaveni resice - 50 cyklu

[bf,rz] = lsqnonlin(@SpaceSimilarity,b0, [],[],options);                    %reseni minimalizace dane funkce metodou nelinearnich nejmensich ctvercu

%ZISKANE PARAMETRY TRANSFORMACE Z MODEOVEHO S. S. DO S. S. ABSOLUTNIHO

global ScaleAbs                                                             %meritko
global OmegaAbs                                                             %uhly rotace mezi s. s.
global FiAbs
global KapaAbs
global VxAbs                                                                %posunuti mezi s. s.
global VyAbs
global VzAbs
ScaleAbs = bf(1);
OmegaAbs = bf(2);
FiAbs = bf(3);
KapaAbs = bf(4);
VxAbs = bf(5);
VyAbs = bf(6);
VzAbs = bf(7);

%NACTENI PROMENNYCH PRO VYPOCET KVALITY KALIBRACE

global X                                                                    %referenci souradnice znacek v prostoru                                                               
global Y
global Z

global Xp                                                                   %rekonstruovane souradnice kal. znacek v prostoru
global Yp
global Zp

Qual = mean(sqrt((X-Xp).^2+(Y-Yp).^2+(Z-Zp).^2));                           %vypocet prumerne odchylky rekonstruovanych souradnich souradnic od sour. referencnich

end

